Bug 819558 - ipa-client-install fails with a double free in ipa-join
ipa-client-install fails with a double free in ipa-join
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmlrpc-c (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 10:21 EDT by Stef Walter
Modified: 2012-06-01 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 12:49:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initialize variable (678 bytes, patch)
2012-05-10 15:46 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-05-07 10:21:52 EDT
Description of problem:

Double free crash in ipa-join:

[root@stef-desktop sssd]# KRB5_TRACE=/dev/stderr LD_LIBRARY_PATH=/opt/build/lib64 PATH=/opt/build/bin:/opt/build/sbin:$PATH ipa-client-install
DNS discovery failed to determine your DNS domain
Provide the domain name of your IPA server (ex: example.com): ipa.thewalter.lan
Discovery was successful!
Hostname: stef-desktop.thewalter.lan
Realm: IPA.THEWALTER.LAN
DNS Domain: ipa.thewalter.lan
IPA Server: dc.ipa.thewalter.lan
BaseDN: dc=ipa,dc=thewalter,dc=lan


Continue to configure the system with these values? [no]: yes
User authorized to enroll computers: admin
Synchronizing time with KDC...
Unable to sync time with IPA NTP server, assuming the time is in sync.
Password for admin@IPA.THEWALTER.LAN: 

*** glibc detected *** /usr/sbin/ipa-join: double free or corruption (out): 0x00007fff4a1cedd0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3bddc7c7be]
/lib64/libxmlrpc_client.so.3(curlTransaction_create+0x597)[0x3d6d407b97]
/lib64/libxmlrpc_client.so.3[0x3d6d406618]
/lib64/libxmlrpc_client.so.3[0x3d6d406846]
/lib64/libxmlrpc_client.so.3(xmlrpc_client_call2+0xf8)[0x3d6d403978]
/usr/sbin/ipa-join[0x404e49]
/usr/sbin/ipa-join[0x403dc3]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3bddc21735]
/usr/sbin/ipa-join[0x404391]
======= Memory map: ========
00400000-00406000 r-xp 00000000 08:01 192843                             /usr/sbin/ipa-join
00606000-0060a000 rw-p 00006000 08:01 192843                             /usr/sbin/ipa-join
02361000-023c4000 rw-p 00000000 00:00 0                                  [heap]
3bdd800000-3bdd820000 r-xp 00000000 08:01 159986                         /usr/lib64/ld-2.15.so
3bdda1f000-3bdda20000 r--p 0001f000 08:01 159986                         /usr/lib64/ld-2.15.so
3bdda20000-3bdda21000 rw-p 00020000 08:01 159986                         /usr/lib64/ld-2.15.so
3bdda21000-3bdda22000 rw-p 00000000 00:00 0 
3bddc00000-3bdddac000 r-xp 00000000 08:01 162812                         /usr/lib64/libc-2.15.so
3bdddac000-3bddfac000 ---p 001ac000 08:01 162812                         /usr/lib64/libc-2.15.so
3bddfac000-3bddfb0000 r--p 001ac000 08:01 162812                         /usr/lib64/libc-2.15.so
3bddfb0000-3bddfb2000 rw-p 001b0000 08:01 162812                         /usr/lib64/libc-2.15.so
3bddfb2000-3bddfb7000 rw-p 00000000 00:00 0 
3bde000000-3bde016000 r-xp 00000000 08:01 175023                         /usr/lib64/libpthread-2.15.so
3bde016000-3bde216000 ---p 00016000 08:01 175023                         /usr/lib64/libpthread-2.15.so
3bde216000-3bde217000 r--p 00016000 08:01 175023                         /usr/lib64/libpthread-2.15.so
3bde217000-3bde218000 rw-p 00017000 08:01 175023                         /usr/lib64/libpthread-2.15.so
3bde218000-3bde21c000 rw-p 00000000 00:00 0 
3bde400000-3bde403000 r-xp 00000000 08:01 169909                         /usr/lib64/libdl-2.15.so
3bde403000-3bde602000 ---p 00003000 08:01 169909                         /usr/lib64/libdl-2.15.so
3bde602000-3bde603000 r--p 00002000 08:01 169909                         /usr/lib64/libdl-2.15.so
3bde603000-3bde604000 rw-p 00003000 08:01 169909                         /usr/lib64/libdl-2.15.so
3bde800000-3bde807000 r-xp 00000000 08:01 175026                         /usr/lib64/librt-2.15.so
3bde807000-3bdea06000 ---p 00007000 08:01 175026                         /usr/lib64/librt-2.15.so
3bdea06000-3bdea07000 r--p 00006000 08:01 175026                         /usr/lib64/librt-2.15.so
3bdea07000-3bdea08000 rw-p 00007000 08:01 175026                         /usr/lib64/librt-2.15.so
3bdec00000-3bdecfa000 r-xp 00000000 08:01 145389                         /usr/lib64/libm-2.15.so
3bdecfa000-3bdeef9000 ---p 000fa000 08:01 145389                         /usr/lib64/libm-2.15.so
3bdeef9000-3bdeefa000 r--p 000f9000 08:01 145389                         /usr/lib64/libm-2.15.so
3bdeefa000-3bdeefb000 rw-p 000fa000 08:01 145389                         /usr/lib64/libm-2.15.so
3bdf000000-3bdf017000 r-xp 00000000 08:01 175022                         /usr/lib64/libz.so.1.2.5
3bdf017000-3bdf216000 ---p 00017000 08:01 175022                         /usr/lib64/libz.so.1.2.5
3bdf216000-3bdf217000 rw-p 00016000 08:01 175022                         /usr/lib64/libz.so.1.2.5
3bdf400000-3bdf41e000 r-xp 00000000 08:01 194951                         /usr/lib64/libselinux.so.1
3bdf41e000-3bdf61d000 ---p 0001e000 08:01 194951                         /usr/lib64/libselinux.so.1
3bdf61d000-3bdf61e000 r--p 0001d000 08:01 194951                         /usr/lib64/libselinux.so.1
3bdf61e000-3bdf61f000 rw-p 0001e000 08:01 194951                         /usr/lib64/libselinux.so.1
3bdf61f000-3bdf621000 rw-p 00000000 00:00 0 
3be0400000-3be0416000 r-xp 00000000 08:01 185375                         /usr/lib64/libresolv-2.15.so
3be0416000-3be0615000 ---p 00016000 08:01 185375                         /usr/lib64/libresolv-2.15.so
3be0615000-3be0616000 r--p 00015000 08:01 185375                         /usr/lib64/libresolv-2.15.so
3be0616000-3be0617000 rw-p 00016000 08:01 185375                         /usr/lib64/libresolv-2.15.so
3be0617000-3be0619000 rw-p 00000000 00:00 0 
3be1800000-3be1805000 r-xp 00000000 08:01 165225                         /usr/lib64/libxmlrpc_util.so.3.29
3be1805000-3be1a04000 ---p 00005000 08:01 165225                         /usr/lib64/libxmlrpc_util.so.3.29
3be1a04000-3be1a05000 rw-p 00004000 08:01 165225                         /usr/lib64/libxmlrpc_util.so.3.29
3be1c00000-3be1c17000 r-xp 00000000 08:01 142843                         /usr/lib64/libxmlrpc.so.3.29
3be1c17000-3be1e17000 ---p 00017000 08:01 142843                         /usr/lib64/libxmlrpc.so.3.29
3be1e17000-3be1e18000 rw-p 00017000 08:01 142843                         /usr/lib64/libxmlrpc.so.3.29
3be4000000-3be414e000 r-xp 00000000 08:01 194961                         /usr/lib64/libxml2.so.2.7.8
3be414e000-3be434d000 ---p 0014e000 08:01 194961                         /usr/lib64/libxml2.so.2.7.8
3be434d000-3be4355000 r--p 0014d000 08:01 194961                         /usr/lib64/libxml2.so.2.7.8
3be4355000-3be4357000 rw-p 00155000 08:01 194961                         /usr/lib64/libxml2.so.2.7.8
3be4357000-3be4358000 rw-p 00000000 00:00 0 
3be8800000-3be8803000 r-xp 00000000 08:01 194954                         /usr/lib64/libcom_err.so.2.1
3be8803000-3be8a02000 ---p 00003000 08:01 194954                         /usr/lib64/libcom_err.so.2.1
3be8a02000-3be8a03000 r--p 00002000 08:01 194954                         /usr/lib64/libcom_err.so.2.1
3be8a03000-3be8a04000 rw-p 00003000 08:01 194954                         /usr/lib64/libcom_err.so.2.1
3be8c00000-3be8c5d000 r-xp 00000000 08:01 194273                         /usr/lib64/libfreebl3.so
3be8c5d000-3be8e5d000 ---p 0005d000 08:01 194273                         /usr/lib64/libfreebl3.so
3be8e5d000-3be8e5e000 r--p 0005d000 08:01 194273                         /usr/lib64/libfreebl3.so
3be8e5e000-3be8e5f000 rw-p 0005e000 08:01 194273                         /usr/lib64/libfreebl3.so
3be8e5f000-3be8e63000 rw-p 00000000 00:00 0 
3be9000000-3be9008000 r-xp 00000000 08:01 194947                         /usr/lib64/libcrypt-2.15.so
3be9008000-3be9207000 ---p 00008000 08:01 194947                         /usr/lib64/libcrypt-2.15.so
3be9207000-3be9208000 r--p 00007000 08:01 194947                         /usr/lib64/libcrypt-2.15.so
3be9208000-3be9209000 rw-p 00008000 08:01 194947                         /usr/lib64/libcrypt-2.15.so
3be9209000-3be9237000 rw-p 00000000 00:00 0 
3be9400000-3be9403000 r-xp 00000000 08:01 194950                         /usr/lib64/libkeyutils.so.1.4
3be9403000-3be9602000 ---p 00003000 08:01 194950                         /usr/lib64/libkeyutils.so.1.4
3be9602000-3be9603000 rw-p 00002000 08:01 194950                         /usr/lib64/libkeyutils.so.1.4
3be9800000-3be9803000 r-xp 00000000 08:01 187882                         /usr/lib64/libplds4.so
3be9803000-3be9a02000 ---p 00003000 08:01 187882                         /usr/lib64/libplds4.so
3be9a02000-3be9a03000 r--p 00002000 08:01 187882                         /usr/lib64/libplds4.so
3be9a03000-3be9a04000 rw-p 00003000 08:01 187882                         /usr/lib64/libplds4.so
3be9c00000-3be9c28000 r-xp 00000000 08:01 194953                         /usr/lib64/libk5crypto.so.3.1
3be9c28000-3be9e28000 ---p 00028000 08:01 194953                         /usr/lib64/libk5crypto.so.3.1
3be9e28000-3be9e29000 r--p 00028000 08:01 194953                         /usr/lib64/libk5crypto.so.3.1
3be9e29000-3be9e2a000 rw-p 00029000 08:01 194953                         /usr/lib64/libk5crypto.so.3.1
3be9e2a000-3be9e2b000 rw-p 00000000 00:00 0 
3bea400000-3bea574000 r-xp 00000000 08:01 194957                         /usr/lib64/libcrypto.so.1.0.0i
3bea574000-3bea774000 ---p 00174000 08:01 194957                         /usr/lib64/libcrypto.so.1.0.0i
3bea774000-3bea796000 rw-p 00174000 08:01 194957                         /usr/lib64/libcrypto.so.1.0.0i
3bea796000-3bea79a000 rw-p 00000000 00:00 0 
3bea800000-3bea80a000 r-xp 00000000 08:01 194952                         /usr/lib64/libkrb5support.so.0.1
3bea80a000-3beaa09000 ---p 0000a000 08:01 194952                         /usr/lib64/libkrb5support.so.0.1
3beaa09000-3beaa0a000 r--p 00009000 08:01 194952                         /usr/lib64/libkrb5support.so.0.1
3beaa0a000-3beaa0b000 rw-p 0000a000 08:01 194952                         /usr/lib64/libkrb5support.so.0.1
3beb000000-3beb009000 r-xp 00000000 08:01 194985                         /usr/lib64/libpopt.so.0.0.0
3beb009000-3beb208000 ---p 00009000 08:01 194985                         /usr/lib64/libpopt.so.0.0.0
3beb208000-3beb209000 r--p 00008000 08:01 194985                         /usr/lib64/libpopt.so.0.0.0
3beb209000-3beb20a000 rw-p 00009000 08:01 194985                         /usr/lib64/libpopt.so.0.0.0
3beb400000-3beb404000 r-xp 00000000 08:01 187881                         /usr/lib64/libplc4.so
3beb404000-3beb603000 ---p 00004000 08:01 187881                         /usr/lib64/libplc4.so
3beb603000-3beb604000 r--p 00003000 08:01 187881                         /usr/lib64/libplc4.so
3beb604000-3beb605000 rw-p 00004000 08:01 187881                         /usr/lib64/libplc4.so
3bebc00000-3bebd31000 r-xp 00000000 08:01 192644                         /usr/lib64/libnss3.so
3bebd31000-3bebf31000 ---p 00131000 08:01 192644                         /usr/lib64/libnss3.so
3bebf31000-3bebf36000 r--p 00131000 08:01 192644                         /usr/lib64/libnss3.so
3bebf36000-3bebf38000 rw-p 00136000 08:01 192644                         /usr/lib64/libnss3.so
3bebf38000-3bebf3a000 rw-p 00000000 00:00 0 
3bec000000-3bec039000 r-xp 00000000 08:01 186361                         /usr/lib64/libnspr4.so
3bec039000-3bec238000 ---p 00039000 08:01 186361                         /usr/lib64/libnspr4.so
3bec238000-3bec239000 r--p 00038000 08:01 186361                         /usr/lib64/libnspr4.so
3bec239000-3bec23b000 rw-p 00039000 08:01 186361                         /usr/lib64/libnspr4.so
3bec23b000-3bec23d000 rw-p 00000000 00:00 0 
3bed000000-3bed020000 r-xp 00000000 08:01 191889                         /usr/lib64/libnssutil3.so
3bed020000-3bed21f000 ---p 00020000 08:01 191889                         /usr/lib64/libnssutil3.so
3bed21f000-3bed225000 r--p 0001f000 08:01 191889                         /usr/lib64/libnssutil3.so
3bed225000-3bed226000 rw-p 00025000 08:01 191889                         /usr/lib64/libnssutil3.so
3bedc00000-3bedc38000 r-xp 00000000 08:01 192656                         /usr/lib64/libssl3.so
3bedc38000-3bede38000 ---p 00038000 08:01 192656                         /usr/lib64/libssl3.so
3bede38000-3bede3a000 r--p 00038000 08:01 192656                         /usr/lib64/libssl3.so
3bede3a000-3bede3b000 rw-p 0003a000 08:01 192656                         /usr/lib64/libssl3.so
3bede3b000-3bede3c000 rw-p 00000000 00:00 0 
3bee800000-3bee828000 r-xp 00000000 08:01 192669                         /usr/lib64/libsmime3.so
3bee828000-3beea28000 ---p 00028000 08:01 192669                         /usr/lib64/libsmime3.so
3beea28000-3beea2b000 r--p 00028000 08:01 192669                         /usr/lib64/libsmime3.so
3beea2b000-3beea2c000 rw-p 0002b000 08:01 192669                         /usr/lib64/libsmime3.so
3bf1800000-3bf1819000 r-xp 00000000 08:01 194948                         /usr/lib64/libsasl2.so.2.0.23
3bf1819000-3bf1a19000 ---p 00019000 08:01 194948                         /usr/lib64/libsasl2.so.2.0.23
3bf1a19000-3bf1a1a000 r--p 00019000 08:01 194948                         /usr/lib64/libsasl2.so.2.0.23
3bf1a1a000-3bf1a1b000 rw-p 0001a000 08:01 194948                         /usr/lib64/libsasl2.so.2.0.23
3bf3c00000-3bf3c0e000 r-xp 00000000 08:01 193209                         /usr/lib64/liblber-2.4.so.2.8.3
3bf3c0e000-3bf3e0d000 ---p 0000e000 08:01 193209                         /usr/lib64/liblber-2.4.so.2.8.3
3bf3e0d000-3bf3e0e000 r--p 0000d000 08:01 193209                         /usr/lib64/liblber-2.4.so.2.8.3
3bf3e0e000-3bf3e0f000 rw-p 0000e000 08:01 193209                         /usr/lib64/liblber-2.4.so.2.8.3
3bf4000000-3bf404c000 r-xp 00000000 08:01 194949                         /usr/lib64/libldap-2.4.so.2.8.3
3bf404c000-3bf424b000 ---p 0004c000 08:01 194949                         /usr/lib64/libldap-2.4.so.2.8.3
3bf424b000-3bf424c000 r--p 0004b000 08:01 194949                         /usr/lib64/libldap-2.4.so.2.8.3
3bf424c000-3bf424e000 rw-p 0004c000 08:01 194949                         /usr/lib64/libldap-2.4.so.2.8.3
3bf4c00000-3bf4c32000 r-xp 00000000 08:01 184934                         /usr/lib64/libidn.so.11.6.7
3bf4c32000-3bf4e31000 ---p 00032000 08:01 184934                         /usr/lib64/libidn.so.11.6.7
3bf4e31000-3bf4e32000 r--p 00031000 08:01 184934                         /usr/lib64/libidn.so.11.6.7
3bf4e32000-3bf4e33000 rw-p 00032000 08:01 184934                         /usr/lib64/libidn.so.11.6.7
3d6b800000-3d6b815000 r-xp 00000000 08:01 134970                         /usr/lib64/libgcc_s-4.7.0-20120504.so.1
3d6b815000-3d6ba14000 ---p 00015000 08:01 134970                         /usr/lib64/libgcc_s-4.7.0-20120504.so.1
3d6ba14000-3d6ba15000 rw-p 00014000 08:01 134970                         /usr/lib64/libgcc_s-4.7.0-20120504.so.1
3d6c000000-3d6c0d9000 r-xp 00000000 08:01 180208                         /usr/lib64/libkrb5.so.3.3
3d6c0d9000-3d6c2d8000 ---p 000d9000 08:01 180208                         /usr/lib64/libkrb5.so.3.3
3d6c2d8000-3d6c2e2000 r--p 000d8000 08:01 180208                         /usr/lib64/libkrb5.so.3.3
3d6c2e2000-3d6c2e4000 rw-p 000e2000 08:01 180208                         /usr/lib64/libkrb5.so.3.3
3d6c400000-3d6c441000 r-xp 00000000 08:01 183321                         /usr/lib64/libgssapi_krb5.so.2.2
3d6c441000-3d6c641000 ---p 00041000 08:01 183321                         /usr/lib64/libgssapi_krb5.so.2.2
3d6c641000-3d6c642000 r--p 00041000 08:01 183321                         /usr/lib64/libgssapi_krb5.so.2.2
3d6c642000-3d6c644000 rw-p 00042000 08:01 183321                         /usr/lib64/libgssapi_krb5.so.2.2
3d6c800000-3d6c854000 r-xp 00000000 08:01 183323                         /usr/lib64/libssl.so.1.0.0i
3d6c854000-3d6ca53000 ---p 00054000 08:01 183323                         /usr/lib64/libssl.so.1.0.0i
3d6ca53000-3d6ca5b000 rw-p 00053000 08:01 183323                         /usr/lib64/libssl.so.1.0.0i
3d6cc00000-3d6cc5e000 r-xp 00000000 08:01 183411                         /usr/lib64/libcurl.so.4.2.0
3d6cc5e000-3d6ce5d000 ---p 0005e000 08:01 183411                         /usr/lib64/libcurl.so.4.2.0
3d6ce5d000-3d6ce5f000 r--p 0005d000 08:01 183411                         /usr/lib64/libcurl.so.4.2.0Joining realm failed: Installation failed. Rolling back changes.
IPA client is not configured on this system.

Version-Release number of selected component (if applicable):

Name        : freeipa-client
Arch        : x86_64
Version     : 2.2.0
Release     : 1.fc17
Size        : 239 k

[root@stef-desktop sssd]# ls -l `which ipa-client-install`
-rwxr-xr-x. 1 root root 66146 May  3 20:52 /sbin/ipa-client-install
[root@stef-desktop sssd]# ls -l `which ipa-join`
-rwxr-xr-x. 1 root root 44768 May  3 20:52 /sbin/ipa-join

How reproducible:

Every time.

Steps to Reproduce:
1. ipa-client-install
2. See above for input
3. BAM!
  
Actual results:

Crash.

Expected results:

No crash, join realm.

As far as I can recall, this used to work in during F17 betas.
Comment 1 Stef Walter 2012-05-07 11:18:17 EDT
Oh, and:

Installed Packages
Name        : xmlrpc-c
Arch        : x86_64
Version     : 1.29.3
Release     : 1702.svn2290.fc17
Size        : 285 k
Repo        : installed
From repo   : updates-testing

Name        : xmlrpc-c-client
Arch        : x86_64
Version     : 1.29.3
Release     : 1702.svn2290.fc17
Size        : 47 k
Repo        : installed
From repo   : updates-testing
Comment 2 Rob Crittenden 2012-05-10 15:45:07 EDT
Another user reported this as well, though on the ARM platform.

I worked with him in IRC and we managed to reproduce this after manually configuring his machine. Using valgrind we obtained the following information:

[root@trimslice01 ~]# valgrind ipa-join -s ipa1.ausil.us -b dc=ausil,dc=us
==18868== Memcheck, a memory error detector
==18868== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==18868== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==18868== Command: ipa-join -s ipa1.ausil.us -b dc=ausil,dc=us
==18868== 
==18868== Conditional jump or move depends on uninitialised value(s)
==18868==    at 0x4A54210: curlTransaction_create (curltransaction.c:251)
==18868==    by 0x4A52E53: createRpc (xmlrpc_curl_transport.c:1194)
==18868==    by 0x4A53007: call (xmlrpc_curl_transport.c:1479)
==18868==    by 0x4A50D1B: xmlrpc_client_call2 (xmlrpc_client.c:607)
==18868==    by 0xC363: callRPC (ipa-join.c:190)
==18868==    by 0xB397: main (ipa-join.c:634)
==18868== 
==18868== Conditional jump or move depends on uninitialised value(s)
==18868==    at 0x4ACD264: vfprintf (vfprintf.c:1570)
==18868== 
==18868== Use of uninitialised value of size 4
==18868==    at 0x48360AC: strlen (mc_replace_strmem.c:390)
==18868==    by 0x4ACF7E7: vfprintf (vfprintf.c:1570)
==18868== 
==18868== Conditional jump or move depends on uninitialised value(s)
==18868==    at 0x4A54090: curlTransaction_create (curltransaction.c:723)
==18868==    by 0x4A52E53: createRpc (xmlrpc_curl_transport.c:1194)
==18868==    by 0x4A53007: call (xmlrpc_curl_transport.c:1479)
==18868==    by 0x4A50D1B: xmlrpc_client_call2 (xmlrpc_client.c:607)
==18868==    by 0xC363: callRPC (ipa-join.c:190)
==18868==    by 0xB397: main (ipa-join.c:634)
==18868== 
==18868== Conditional jump or move depends on uninitialised value(s)
==18868==    at 0x4A43394: xmlrpc_strfree (asprintf.c:167)
==18868==    by 0x4A5409B: curlTransaction_create (curltransaction.c:724)
==18868==    by 0x4A52E53: createRpc (xmlrpc_curl_transport.c:1194)
==18868==    by 0x4A53007: call (xmlrpc_curl_transport.c:1479)
==18868==    by 0x4A50D1B: xmlrpc_client_call2 (xmlrpc_client.c:607)
==18868==    by 0xC363: callRPC (ipa-join.c:190)
==18868==    by 0xB397: main (ipa-join.c:634)
==18868== 
==18868== Conditional jump or move depends on uninitialised value(s)
==18868==    at 0x48344E0: free (vg_replace_malloc.c:427)
==18868==    by 0x4A5409B: curlTransaction_create (curltransaction.c:724)
==18868==    by 0x4A52E53: createRpc (xmlrpc_curl_transport.c:1194)
==18868==    by 0x4A53007: call (xmlrpc_curl_transport.c:1479)
==18868==    by 0x4A50D1B: xmlrpc_client_call2 (xmlrpc_client.c:607)
==18868==    by 0xC363: callRPC (ipa-join.c:190)
==18868==    by 0xB397: main (ipa-join.c:634)
==18868== 
==18868== Invalid free() / delete / delete[] / realloc()
==18868==    at 0x4834530: free (vg_replace_malloc.c:427)
==18868==    by 0x4A5409B: curlTransaction_create (curltransaction.c:724)
==18868==    by 0x4A52E53: createRpc (xmlrpc_curl_transport.c:1194)
==18868==    by 0x4A53007: call (xmlrpc_curl_transport.c:1479)
==18868==    by 0x4A50D1B: xmlrpc_client_call2 (xmlrpc_client.c:607)
==18868==    by 0xC363: callRPC (ipa-join.c:190)
==18868==    by 0xB397: main (ipa-join.c:634)
==18868==  Address 0xbd8d59a0 is on thread 1's stack
==18868== 
libcurl failed to execute the HTTP POST transaction, explaining:  Could not resolve host: (nil); Unknown error
==18868== 
==18868== HEAP SUMMARY:
==18868==     in use at exit: 5,371 bytes in 99 blocks
==18868==   total heap usage: 560,974 allocs, 560,876 frees, 5,740,399 bytes allocated
==18868== 
==18868== LEAK SUMMARY:
==18868==    definitely lost: 15 bytes in 1 blocks
==18868==    indirectly lost: 0 bytes in 0 blocks
==18868==      possibly lost: 0 bytes in 0 blocks
==18868==    still reachable: 5,356 bytes in 98 blocks
==18868==         suppressed: 0 bytes in 0 blocks
==18868== Rerun with --leak-check=full to see details of leaked memory
==18868== 
==18868== For counts of detected and suppressed errors, rerun with: -v
==18868== Use --track-origins=yes to see where uninitialised values come from
==18868== ERROR SUMMARY: 7 errors from 7 contexts (suppressed: 4 from 2)

I think this is an initialized variable problem.

I wrote a one-liner patch that initialized authHdrValue to NULL and provided a test srpm. That fixed it for my user.

Re-assigning to xmlrpc-c package.

He was using xmlrpc-c-1.29.3-1702.svn2290.fc17.armv7hl
Comment 3 Rob Crittenden 2012-05-10 15:46:30 EDT
Created attachment 583665 [details]
initialize variable
Comment 4 Enrico Scholz 2012-05-11 04:28:22 EDT
thx; I filed https://sourceforge.net/tracker/?func=detail&aid=3525778&group_id=16847&atid=316847 and will update the package soon.
Comment 5 Fedora Update System 2012-05-12 04:59:11 EDT
xmlrpc-c-1.29.3-1703.svn2290.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xmlrpc-c-1.29.3-1703.svn2290.fc17
Comment 6 Fedora Update System 2012-05-12 15:44:46 EDT
Package xmlrpc-c-1.29.3-1703.svn2290.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmlrpc-c-1.29.3-1703.svn2290.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7743/xmlrpc-c-1.29.3-1703.svn2290.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-01 12:49:24 EDT
xmlrpc-c-1.29.3-1703.svn2290.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.